# Uses of Interface
com.logicaldoc.core.security.DeviceDAO

Packages that use DeviceDAO
Package
Description
com.logicaldoc.core.security
Container of the security-related interfaces and classes

## Uses of DeviceDAO in com.logicaldoc.core.security

Classes in com.logicaldoc.core.security that implement DeviceDAO
Modifier and Type
Class
Description
`class`
`HibernateDeviceDAO`
An Hibernate based implementation of `DeviceDAO`
Methods in com.logicaldoc.core.security that return DeviceDAO
Modifier and Type
Method
Description
`static DeviceDAO`
DeviceDAO.`get()`
Gets the object available in the application context